[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [gulliver] pkg-config bloque les compils


From Vincent MAHE <vmahe at free dot fr>
Subject Re: [gulliver] pkg-config bloque les compils
Date Mon, 10 May 2004 22:51:28 +0200

Olivier Péningault wrote:

En général tu fais un ./configure --prefix=/chemin/que/tu/veux
--autres-options

Non ?



J'ai essayé : ./configure --prefix=/opt

Sur la Glib, OK ("make install" envoie bien dans "/opt")

Sur Atk1.6.0, j'ai eu au configure :
[...]
checking for pkg-config... /usr/bin/pkg-config
checking for GLIB - version >= 2.0.0... no
*** Could not run GLIB test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GLIB is incorrectly installed.
configure: error:
*** GLIB 2.0.0 or better is required. The latest version of
*** GLIB is always available from ftp://ftp.gtk.org/. If GLIB is installed
*** but not in the same location as pkg-config add the location of the file
*** glib-2.0.pc to the environment variable PKG_CONFIG_PATH.


A priori, c'est la partie spécifique à PkgConfig qui foire, d'où mon aversion prononcée et grandissante pour cet outil !!